complexType "EEPParameters"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | eEPApplicable?, riskPeriod?, equivalentApplicable?, penaltyApplicable?
</...>

Content Model Elements (4):

  eEPApplicable, equivalentApplicable, penaltyApplicable, riskPeriod

All Direct / Indirect Based Elements (1):

  eEPParameters

Known Usage Locations

- As direct type of elements (1):
  eEPParameters

Annotation
Excess Emission Penalty related parameters.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="EEPParameters"> <xsd:sequence> <xsd:element minOccurs="0" name="eEPApplicable" type="xsd:boolean"/> <xsd:element minOccurs="0" name="riskPeriod" type="EEPRiskPeriod"/> <xsd:element minOccurs="0" name="equivalentApplicable" type="xsd:boolean"/> <xsd:element minOccurs="0" name="penaltyApplicable" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
eEPApplicable

  Type: | xsd:boolean, predefined, simple content

  If Excess Emission Penalty is specified to be applicable in the Confirmation then the Excess Emission Penalty will be determined in the manner specified in the Confirmation (see other EEP parameters)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="eEPApplicable" type="xsd:boolean"/>

equivalentApplicable

  Type: | xsd:boolean, predefined, simple content

  When "true" the EEP Equivalent is applicable. See Part [7] definition of EEP Equivalent.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equivalentApplicable" type="xsd:boolean"/>

penaltyApplicable

  Type: | xsd:boolean, predefined, simple content

  When "true" the Excess Emissions Penalty is applicable. See Part [7] definition of Excess Emissions Penalty.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="penaltyApplicable" type="xsd:boolean"/>

riskPeriod

  Type: | EEPRiskPeriod, complex content

  Used to determine how provisions in Part [7] Page 7 (B) Failure to Deliver Not Remedied are to be applied.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="riskPeriod" type="EEPRiskPeriod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.